Bug 508804 - webcam not recognized after update - Unable to open /dev/video0
webcam not recognized after update - Unable to open /dev/video0
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 20:14 EDT by isada
Modified: 2009-07-29 15:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-29 15:19:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description isada 2009-06-29 20:14:36 EDT
Description of problem:
My webcam (Logitech Orbicam) is not recognized on Acer Aspire 5630 by Fedora 11 after some updates. After installation (FC11) it works well. 

Version-Release number of selected component (if applicable):

Kernel Linux 2.6.29.5-191-fc11.i586
GNOME 2.26.2
libv4l-0.5.9-1.fc11 
How reproducible:
start cheese
start amsn
start v4l2ucp => unable to open /dev/video0

  
Actual results:the components can`t recognize webcam


Expected results:it works

#dmesg
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: Unknown sensor...
vc032x: probe of 1-4:1.0 failed with error -22
usb 1-4: USB disconnect, address 36
usb 1-4: new high speed USB device using ehci_hcd and address 37
usb 1-4: New USB device found, idVendor=046d, idProduct=0896
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-4: Product: Camera
usb 1-4: Manufacturer: OEM
usb 1-4: configuration #1 chosen from 1 choice
gspca: probing 046d:0896
vc032x: check sensor header 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: Unknown sensor...
vc032x: probe of 1-4:1.0 failed with error -22
usb 1-4: USB disconnect, address 37
usb 1-4: new high speed USB device using ehci_hcd and address 38
usb 1-4: New USB device found, idVendor=046d, idProduct=0896
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-4: Product: Camera
usb 1-4: Manufacturer: OEM
usb 1-4: configuration #1 chosen from 1 choice
gspca: probing 046d:0896
vc032x: check sensor header 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: Unknown sensor...
vc032x: probe of 1-4:1.0 failed with error -22
usb 1-4: USB disconnect, address 38
usb 1-4: new high speed USB device using ehci_hcd and address 39
usb 1-4: New USB device found, idVendor=046d, idProduct=0896
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-4: Product: Camera
usb 1-4: Manufacturer: OEM
usb 1-4: configuration #1 chosen from 1 choice
gspca: probing 046d:0896
vc032x: check sensor header 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: Unknown sensor...
vc032x: probe of 1-4:1.0 failed with error -22
usb 1-4: USB disconnect, address 39
usb 1-4: new high speed USB device using ehci_hcd and address 40
usb 1-4: New USB device found, idVendor=046d, idProduct=0896
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-4: Product: Camera
usb 1-4: Manufacturer: OEM
usb 1-4: configuration #1 chosen from 1 choice
gspca: probing 046d:0896
vc032x: check sensor header 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: Unknown sensor...
vc032x: probe of 1-4:1.0 failed with error -22
usb 1-4: USB disconnect, address 40
usb 1-4: new high speed USB device using ehci_hcd and address 41
usb 1-4: New USB device found, idVendor=046d, idProduct=0896
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-4: Product: Camera
usb 1-4: Manufacturer: OEM
usb 1-4: configuration #1 chosen from 1 choice
gspca: probing 046d:0896
vc032x: check sensor header 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: Unknown sensor...
vc032x: probe of 1-4:1.0 failed with error -22
usb 1-4: USB disconnect, address 41
usb 1-4: new high speed USB device using ehci_hcd and address 42
usb 1-4: New USB device found, idVendor=046d, idProduct=0896
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-4: Product: Camera
usb 1-4: Manufacturer: OEM
usb 1-4: configuration #1 chosen from 1 choice
gspca: probing 046d:0896
vc032x: check sensor header 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: Unknown sensor...
vc032x: probe of 1-4:1.0 failed with error -22
usb 1-4: USB disconnect, address 42
usb 1-4: new high speed USB device using ehci_hcd and address 43
usb 1-4: New USB device found, idVendor=046d, idProduct=0896
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-4: Product: Camera
usb 1-4: Manufacturer: OEM
usb 1-4: configuration #1 chosen from 1 choice
gspca: probing 046d:0896
vc032x: check sensor header 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: Unknown sensor...
vc032x: probe of 1-4:1.0 failed with error -22
usb 1-4: USB disconnect, address 43
usb 1-4: new high speed USB device using ehci_hcd and address 44
usb 1-4: New USB device found, idVendor=046d, idProduct=0896
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-4: Product: Camera
usb 1-4: Manufacturer: OEM
usb 1-4: configuration #1 chosen from 1 choice
gspca: probing 046d:0896
vc032x: check sensor header 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: Unknown sensor...
vc032x: probe of 1-4:1.0 failed with error -22
usb 1-4: USB disconnect, address 44
usb 1-4: new high speed USB device using ehci_hcd and address 45
usb 1-4: New USB device found, idVendor=046d, idProduct=0896
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-4: Product: Camera
usb 1-4: Manufacturer: OEM
usb 1-4: configuration #1 chosen from 1 choice
gspca: probing 046d:0896
vc032x: check sensor header 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: Unknown sensor...
vc032x: probe of 1-4:1.0 failed with error -22
usb 1-4: USB disconnect, address 45
usb 1-4: new high speed USB device using ehci_hcd and address 46
usb 1-4: New USB device found, idVendor=046d, idProduct=0896
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-4: Product: Camera
usb 1-4: Manufacturer: OEM
usb 1-4: configuration #1 chosen from 1 choice
gspca: probing 046d:0896
vc032x: check sensor header 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: Unknown sensor...
vc032x: probe of 1-4:1.0 failed with error -22
usb 1-4: USB disconnect, address 46
usb 1-4: new high speed USB device using ehci_hcd and address 47
usb 1-4: New USB device found, idVendor=046d, idProduct=0896
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-4: Product: Camera
usb 1-4: Manufacturer: OEM
usb 1-4: configuration #1 chosen from 1 choice
gspca: probing 046d:0896
vc032x: check sensor header 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: Unknown sensor...
vc032x: probe of 1-4:1.0 failed with error -22
usb 1-4: USB disconnect, address 47
usb 1-4: new high speed USB device using ehci_hcd and address 48
usb 1-4: New USB device found, idVendor=046d, idProduct=0896
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-4: Product: Camera
usb 1-4: Manufacturer: OEM
usb 1-4: configuration #1 chosen from 1 choice
gspca: probing 046d:0896
vc032x: check sensor header 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: Unknown sensor...
vc032x: probe of 1-4:1.0 failed with error -22
usb 1-4: USB disconnect, address 48
usb 1-4: new high speed USB device using ehci_hcd and address 49
usb 1-4: New USB device found, idVendor=046d, idProduct=0896
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-4: Product: Camera
usb 1-4: Manufacturer: OEM
usb 1-4: configuration #1 chosen from 1 choice
gspca: probing 046d:0896
vc032x: check sensor header 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: Unknown sensor...
vc032x: probe of 1-4:1.0 failed with error -22
usb 1-4: USB disconnect, address 49
usb 1-4: new high speed USB device using ehci_hcd and address 50
usb 1-4: New USB device found, idVendor=046d, idProduct=0896
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-4: Product: Camera
usb 1-4: Manufacturer: OEM
usb 1-4: configuration #1 chosen from 1 choice
gspca: probing 046d:0896
vc032x: check sensor header 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: Unknown sensor...
vc032x: probe of 1-4:1.0 failed with error -22
usb 1-4: USB disconnect, address 50
usb 1-4: new high speed USB device using ehci_hcd and address 51
usb 1-4: New USB device found, idVendor=046d, idProduct=0896
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-4: Product: Camera
usb 1-4: Manufacturer: OEM
usb 1-4: configuration #1 chosen from 1 choice
gspca: probing 046d:0896
vc032x: check sensor header 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: Unknown sensor...
vc032x: probe of 1-4:1.0 failed with error -22
usb 1-4: USB disconnect, address 51
usb 1-4: new high speed USB device using ehci_hcd and address 52
usb 1-4: New USB device found, idVendor=046d, idProduct=0896
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-4: Product: Camera
usb 1-4: Manufacturer: OEM
usb 1-4: configuration #1 chosen from 1 choice
gspca: probing 046d:0896
vc032x: check sensor header 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: Unknown sensor...
vc032x: probe of 1-4:1.0 failed with error -22
usb 1-4: USB disconnect, address 52
usb 1-4: new high speed USB device using ehci_hcd and address 53
usb 1-4: New USB device found, idVendor=046d, idProduct=0896
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-4: Product: Camera
usb 1-4: Manufacturer: OEM
usb 1-4: configuration #1 chosen from 1 choice
gspca: probing 046d:0896
vc032x: check sensor header 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: Unknown sensor...
vc032x: probe of 1-4:1.0 failed with error -22
usb 1-4: USB disconnect, address 53
usb 1-4: new high speed USB device using ehci_hcd and address 54
usb 1-4: New USB device found, idVendor=046d, idProduct=0896
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-4: Product: Camera
usb 1-4: Manufacturer: OEM
usb 1-4: configuration #1 chosen from 1 choice
gspca: probing 046d:0896
vc032x: check sensor header 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
vc032x: I2c Bus Busy Wait 2c
# lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Comment 1 isada 2009-07-03 18:04:17 EDT
I forgot this information:

# lsmod
Module                  Size  Used by
fuse                   49748  2 
sunrpc                152364  1 
ip6t_REJECT             3160  2 
nf_conntrack_ipv6      11368  2 
ip6table_filter         3136  1 
ip6_tables             10728  1 ip6table_filter
ipv6                  232364  33 ip6t_REJECT,nf_conntrack_ipv6
cpufreq_ondemand        6052  2 
acpi_cpufreq            8220  0 
dm_multipath           13512  0 
arc4                    1584  2 
gspca_vc032x           21576  0 
gspca_main             19048  1 gspca_vc032x
ecb                     2452  2 
videodev               32216  1 gspca_main
sdhci_pci               6388  0 
nvidia               9533992  29 
b44                    22720  0 
sdhci                  14112  1 sdhci_pci
acer_wmi               14896  0 
v4l1_compat            11560  1 videodev
ssb                    33504  1 b44
mmc_core               41536  1 sdhci
iTCO_wdt               10448  0 
iwl3945               124716  0 
iTCO_vendor_support     2736  1 iTCO_wdt
serio_raw               4852  0 
pcspkr                  2156  0 
snd_hda_codec_realtek   189448  1 
mii                     4008  1 b44
joydev                  8972  0 
i2c_i801                8056  0 
yenta_socket           21068  1 
mac80211              164608  1 iwl3945
rsrc_nonstatic          9428  1 yenta_socket
snd_hda_intel          23920  2 
lib80211                5064  1 iwl3945
snd_hda_codec          54264  2 snd_hda_codec_realtek,snd_hda_intel
cfg80211               30656  2 iwl3945,mac80211
snd_hwdep               6580  1 snd_hda_codec
snd_pcm                62556  2 snd_hda_intel,snd_hda_codec
wmi                     5868  1 acer_wmi
snd_timer              17896  1 snd_pcm
video                  17360  5 
snd                    49044  10 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_timer
output                  2364  1 video
soundcore               5404  1 snd
snd_page_alloc          7572  2 snd_hda_intel,snd_pcm
ata_generic             4264  0 
pata_acpi               3624  0 
nouveau               433316  0 
drm                   166020  1 nouveau
i2c_algo_bit            4788  1 nouveau
i2c_core               18016  5 nvidia,i2c_i801,nouveau,drm,i2c_algo_bit
Comment 2 isada 2009-07-03 18:33:24 EDT
I just add bug 478758. I would like to know if that problem still exists with Fedora 11. My webcam works with Fedora 10 right.
Comment 3 Hans de Goede 2009-07-07 13:27:41 EDT
Hi,

If I understand you correctly, the camera was working correctly with a fresh F-11 install and then stopped working after a couple of updates, correct ?

Can you please try installing the original kernel from the F-11 release
(download it and use rpm -ivh --oldpackage), boot into it and see if it works there ?

Thanks!
Comment 4 isada 2009-07-08 10:08:53 EDT
Hi Hans, 
you`ve understood me correctly. It doesn`t work now at least two weeks. I`ve just installed the old kernel 2.6.29.4-167 and boot into it, but didn`t change anything. 
Do you need more information of my system?
Thanks a lot!
Comment 5 Hans de Goede 2009-07-08 10:13:10 EDT
Hmm, weird. Can you try unplugging the cam, then wait a few seconds and then replug it ?
Comment 6 isada 2009-07-08 14:56:04 EDT
I`m not sure how to do it.

I try this:

# rmmod gspca_vc032x
# rmmod gspca_main
ERROR: Module gspca_main is in use by gspca_vc032x
# rmmod videodev
ERROR: Module videodev is in use by gspca_main

and then:
# modprobe gspca_vc032x

nothing changes.
Comment 7 Hans de Goede 2009-07-09 02:53:33 EDT
Oh, sorry its a laptop webcam, right ? so no unplugging. Can you try completely
powering down the laptop, and then leave it in that state for a couple of minutes, and then try again using the 2.6.29.4-167 kernel ?

I think the webcam hardware needs a hard reset (so needs to have its power removed), atleast that is what I conclude from your report that F-11 initially
worked, but going back to the original kernel does not help. That means that it
is not a driver issue (as getting the original kernel gets you the original driver), so all I can come up with is the camera needing a reset.
Comment 8 Chuck Ebbert 2009-07-09 21:26:28 EDT
No such bug at bugzilla.kernel.org
Comment 9 isada 2009-07-29 15:19:42 EDT
(In reply to comment #7)
> Oh, sorry its a laptop webcam, right ? so no unplugging. Can you try completely
> powering down the laptop, and then leave it in that state for a couple of
> minutes, and then try again using the 2.6.29.4-167 kernel ?
> 
> I think the webcam hardware needs a hard reset (so needs to have its power
> removed), atleast that is what I conclude from your report that F-11 initially
> worked, but going back to the original kernel does not help. That means that it
> is not a driver issue (as getting the original kernel gets you the original
> driver), so all I can come up with is the camera needing a reset.

After 3 weeks holidays, I make a big update and it works now correctly! Cannot find out the reason of the solution.

Note You need to log in before you can comment on or make changes to this bug.